package com.fzm.mall.server.admin.shop.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.fzm.mall.server.admin.shop.entity.dto.ShopDTO;
import com.fzm.mall.server.admin.shop.entity.dto.ShopSaveDTO;
import com.fzm.mall.server.admin.shop.entity.dto.ShopUpdateDTO;
import com.fzm.mall.server.admin.shop.model.Shop;

/**
 * <p>
 * 店铺中心-店铺 服务类
 * </p>
 *
 * @author wulixian
 * @since 2021-03-16
 */
public interface IShopService extends IService<Shop> {

    void save(ShopSaveDTO shopSaveDTO);

    void update(ShopUpdateDTO shopUpdateDTO);

    void delete(String shopId, String merchantId);

    ShopDTO read(String shopId, String merchantId);

    IPage<ShopDTO> page(Page<ShopDTO> page, String merchantId);

    ShopDTO readByMerchantId(String merchantId);
}
